searchNodes=[{"doc":"Adapter interface to the Cowboy2 webserver. Options :ip - the ip to bind the server to. Must be either a tuple in the format {a, b, c, d} with each value in 0..255 for IPv4, or a tuple in the format {a, b, c, d, e, f, g, h} with each value in 0..65535 for IPv6, or a tuple in the format {:local, path} for a unix socket at the given path. :port - the port to run the server. Defaults to 4000 (http) and 4040 (https). Must be 0 when :ip is a {:local, path} tuple. :dispatch - manually configure Cowboy&#39;s dispatch. If this option is used, the given plug won&#39;t be initialized nor dispatched to (and doing so becomes the user&#39;s responsibility). :ref - the reference name to be used. Defaults to plug.HTTP (http) and plug.HTTPS (https). Note, the default reference name does not contain the port so in order to serve the same plug on multiple ports you need to set the :ref accordingly, e.g.: ref: MyPlug_HTTP_4000, ref: MyPlug_HTTP_4001, etc. This is the value that needs to be given on shutdown. :compress - Cowboy will attempt to compress the response body. Defaults to false. :stream_handlers - List of Cowboy stream_handlers, see Cowboy docs. :protocol_options - Specifies remaining protocol options, see Cowboy docs. :transport_options - A keyword list specifying transport options, see ranch docs. By default :num_acceptors will be set to 100 and :max_connections to 16_384. All other options are given as :socket_opts to the underlying transport. When running on HTTPS, any SSL configuration should be given directly to the adapter. See https/3 for an example and read Plug.SSL.configure/1 to understand about our SSL defaults. When using a unix socket, OTP 21+ is required for Plug.Static and Plug.Conn.send_file/3 to behave correctly.","ref":"Plug.Cowboy.html","title":"Plug.Cowboy","type":"module"},{"doc":"A function for starting a Cowboy2 server under Elixir v1.5+ supervisors. It supports all options as specified in the module documentation plus it requires the follow two options: :scheme - either :http or :https :plug - such as MyPlug or {MyPlug, plug_opts} Examples Assuming your Plug module is named MyApp you can add it to your supervision tree by using this function: children = [ {Plug.Cowboy, scheme: :http, plug: MyApp, options: [port: 4040]} ] Supervisor.start_link(children, strategy: :one_for_one)","ref":"Plug.Cowboy.html#child_spec/1","title":"Plug.Cowboy.child_spec/1","type":"function"},{"doc":"Runs cowboy under http. Example # Starts a new interface Plug.Cowboy.http MyPlug, [], port: 80 # The interface above can be shutdown with Plug.Cowboy.shutdown MyPlug.HTTP","ref":"Plug.Cowboy.html#http/3","title":"Plug.Cowboy.http/3","type":"function"},{"doc":"Runs cowboy under https. Besides the options described in the module documentation, this function sets defaults and accepts all options defined in Plug.SSL.configure/2. Example # Starts a new interface Plug.Cowboy.https MyPlug, [], port: 443, password: &quot;SECRET&quot;, otp_app: :my_app, keyfile: &quot;priv/ssl/key.pem&quot;, certfile: &quot;priv/ssl/cert.pem&quot;, dhfile: &quot;priv/ssl/dhparam.pem&quot; # The interface above can be shutdown with Plug.Cowboy.shutdown MyPlug.HTTPS","ref":"Plug.Cowboy.html#https/3","title":"Plug.Cowboy.https/3","type":"function"},{"doc":"Shutdowns the given reference.","ref":"Plug.Cowboy.html#shutdown/1","title":"Plug.Cowboy.shutdown/1","type":"function"},{"doc":"Process to drain cowboy connections at shutdown. When starting Plug.Cowboy in a supervision tree, it will create a listener that receives requests and creates a connection process to handle that request. During shutdown, a Plug.Cowboy process will immediately exit, closing the listener and any open connections that are still being served. In most cases, it is desireable to allow connections to complete before shutting down. This module provides a process that during shutdown will close listeners and wait for connections to complete. It should be placed after other supervised processes that handle cowboy connections. Options The following options can be given to the child spec: :refs - A list of refs to drain. :all is also supported and will drain all cowboy listeners, including those started by means other than Plug.Cowboy. :id - The ID for the process. Defaults to Plug.Cowboy.Drainer. :shutdown - How long to wait for connections to drain. Defaults to 5000ms. :drain_check_interval - How frequently to check if a listener&#39;s connections have been drained. Defaults to 1000ms. Examples # In your application def start(_type, _args) do children = [ {Plug.Cowboy, scheme: :http, plug: MyApp, options: [port: 4040]}, {Plug.Cowboy, scheme: :https, plug: MyApp, options: [port: 4041]}, {Plug.Cowboy.Drainer, refs: [MyApp.HTTP, MyApp.HTTPS]} ] opts = [strategy: :one_for_one, name: MyApp.Supervisor] Supervisor.start_link(children, opts) end","ref":"Plug.Cowboy.Drainer.html","title":"Plug.Cowboy.Drainer","type":"module"}]